> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Enrichment Integrations

Enrichment Integrations synchronize external data sources into PagerDuty's Enrichment Service, producing enrichment schemas ("data tables") that you can use in Event Enrichment rules to add context to incoming events. The ServiceNow CMDB integration synchronizes Configuration Item (CI) data from your ServiceNow instance, mapping ServiceNow fields onto event fields.

<!-- theme: warning -->

> ### Early Access
> This API is in Early Access and may change at any time before General Availability. Contact your PagerDuty account team to request access.

- [List ServiceNow integrations](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/list-service-now-integrations.md) — `GET /enrichment/integrations/servicenow`
- [Create a ServiceNow integration](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/create-service-now-integration.md) — `POST /enrichment/integrations/servicenow`
- [Get a ServiceNow integration](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/get-service-now-integration.md) — `GET /enrichment/integrations/servicenow/{integration_id}`
- [Delete a ServiceNow integration](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/delete-service-now-integration.md) — `DELETE /enrichment/integrations/servicenow/{integration_id}`
- [Add a CMDB table](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/add-service-now-table.md) — `POST /enrichment/integrations/servicenow/{integration_id}/tables`
- [Remove a CMDB table](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/delete-service-now-table.md) — `DELETE /enrichment/integrations/servicenow/{integration_id}/tables/{table_id}`
- [Update a CMDB table](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/update-service-now-table.md) — `PUT /enrichment/integrations/servicenow/{integration_id}/tables/{table_id}`
- [Enable CMDB table sync](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/enable-service-now-table-sync.md) — `POST /enrichment/integrations/servicenow/{integration_id}/tables/{table_id}/enable`
- [Test a CMDB table](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/test-service-now-table.md) — `GET /enrichment/integrations/servicenow/{integration_id}/tables/{table_id}/test`
- [Create ServiceNow credentials](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/create-service-now-credentials.md) — `POST /enrichment/integrations/servicenow/credentials`
- [Get ServiceNow credentials](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/get-service-now-credentials.md) — `GET /enrichment/integrations/servicenow/credentials/{credentials_id}`
- [Delete ServiceNow credentials](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/delete-service-now-credentials.md) — `DELETE /enrichment/integrations/servicenow/credentials/{credentials_id}`
- [Update ServiceNow credentials](https://docs.pagerduty.com/developer/api/reference/rest/enrichment-integrations/update-service-now-credentials.md) — `PUT /enrichment/integrations/servicenow/credentials/{credentials_id}`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
